Subject: Re: ScreenMode binaries, man page reader, experimental server
From: Tim Berners-Lee <[email-masked]>
To: [email-masked] (Jim Whitescarver)
Cc: [email-masked]
Date: Tue, 24 Nov 92 11:19:44 +0100

>  Date: Sat, 21 Nov 92 17:32:08 est
>  From: [email-masked] (Jim Whitescarver)

>  Much of our hypertext, including the manual
>  pages, will not be formatted properly unless you use one of our readers,
>  or another reader modifies to support <PRE>.
>  

>  The preformatted tag, PRE, unlike <PLAINTEXT>, allows anchors etc. to be 

>  inserted in text that is already formatted.  It greatly simplifies the
>  task of importing text from independant applications will anchors
>  everywhere you want them.  In addition, we have a set of macros for
>  MS-word which allow editing HTML in WYSIWYG fashion, but this also
>  requires support of the preformatted tag in HTML.
>  

>  Al Leurck ([email-masked]) developed the PRE tag and MS-word macros
>  here in the ScreenMode interface and we are adding it to the tkWWW X
>  interface.

The <PRE> tag is important, and much better SGML than the XMP tag.
I suggest that editors (including the NeXTStep editor, which I propose
to fix) which read <XMP> should save <PRE>.  I have only one
misgiving abou the format as is, and that is that newlines are
significant.

When you allow anchors and other tags to be put into the text, the
lines can become very long, and most applications will want to keep them
limited for mailing, viewing, etc.  As the PRE files you have
currently include <P> tags for blank lines, why not put a <p>
at the end of every line? This would make the processing of <PRE>
almost identical to the default text processing, except for the font.

I also wonder whether FIXED might be more apt than PRE.

If we can agree on this element we could rush it into Dan's DTD for MIME
and fix all outstanding browers?

Any comments?

	Tim BL